Browse Source

add some jazz

jackyalcine 1 year ago
parent
commit
9e9c45524d
Signed by: Jacky Alciné <yo@jacky.wtf> GPG Key ID: 537A4F904B15268D
9 changed files with 183 additions and 8 deletions
  1. 1
    0
      .python-version
  2. 2
    0
      Dockerfile
  3. 23
    0
      INSTALL.markdown
  4. 12
    0
      Pipfile
  5. 140
    0
      Pipfile.lock
  6. 1
    1
      docker/scripts/docker-entrypoint.sh
  7. 2
    5
      docker/scripts/docker-prepare.sh
  8. 1
    1
      mix.exs
  9. 1
    1
      mix.lock

+ 1
- 0
.python-version View File

@@ -0,0 +1 @@
1
+3.6.4

+ 2
- 0
Dockerfile View File

@@ -19,3 +19,5 @@ RUN sh /tmp/jackywtf-docker/docker-build.sh
19 19
 
20 20
 VOLUME /opt/jacky-wtf/priv/repo/db
21 21
 RUN sh /tmp/jackywtf-docker/docker-cleanup.sh
22
+
23
+ENTRYPOINT "/tmp/jackywtf-docker/docker-entrypoint.sh"

+ 23
- 0
INSTALL.markdown View File

@@ -0,0 +1,23 @@
1
+# Installation
2
+
3
+Koype is a [Phoenix][2]-based application that aims to allow individuals to
4
+own their identity online. Or something like that, I'm still working on it.
5
+
6
+## Requirements
7
+
8
+  * [Redis][] 5.0.0
9
+  * [Elixir][] 1.6.6
10
+
11
+## Development
12
+
13
+### Using Docker Compose
14
+
15
+Being that Koype's tailored to run currently under a Docker environment, the 
16
+ideal tool for local development is [Docker Compose][1]. Check out its
17
+documentation for instructions on how to install that. Once you've got installed,
18
+run `docker-compose up` in the directory.
19
+
20
+[1]: https://docs.docker.com/compose/install/
21
+[2]: http://phoenixframework.org/
22
+[redis]: https://redis.io/
23
+[elixir]: https://elixir-lang.org/

+ 12
- 0
Pipfile View File

@@ -0,0 +1,12 @@
1
+[[source]]
2
+url = "https://pypi.org/simple"
3
+verify_ssl = true
4
+name = "pypi"
5
+
6
+[dev-packages]
7
+
8
+[packages]
9
+docker-compose = "*"
10
+
11
+[requires]
12
+python_version = "3.6"

+ 140
- 0
Pipfile.lock View File

@@ -0,0 +1,140 @@
1
+{
2
+    "_meta": {
3
+        "hash": {
4
+            "sha256": "403813901f22eb2bb6138365acc65227d1d84318674765ed66ca6445c2284fa1"
5
+        },
6
+        "pipfile-spec": 6,
7
+        "requires": {
8
+            "python_version": "3.6"
9
+        },
10
+        "sources": [
11
+            {
12
+                "name": "pypi",
13
+                "url": "https://pypi.org/simple",
14
+                "verify_ssl": true
15
+            }
16
+        ]
17
+    },
18
+    "default": {
19
+        "cached-property": {
20
+            "hashes": [
21
+                "sha256:3a026f1a54135677e7da5ce819b0c690f156f37976f3e30c5430740725203d7f",
22
+                "sha256:9217a59f14a5682da7c4b8829deadbfc194ac22e9908ccf7c8820234e80a1504"
23
+            ],
24
+            "version": "==1.5.1"
25
+        },
26
+        "certifi": {
27
+            "hashes": [
28
+                "sha256:339dc09518b07e2fa7eda5450740925974815557727d6bd35d319c1524a04a4c",
29
+                "sha256:6d58c986d22b038c8c0df30d639f23a3e6d172a05c3583e766f4c0b785c0986a"
30
+            ],
31
+            "version": "==2018.10.15"
32
+        },
33
+        "chardet": {
34
+            "hashes": [
35
+                "sha256:84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae",
36
+                "sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691"
37
+            ],
38
+            "version": "==3.0.4"
39
+        },
40
+        "docker": {
41
+            "hashes": [
42
+                "sha256:31421f16c01ffbd1ea7353c7e7cd7540bf2e5906d6173eb51c8fea4e0ea38b19",
43
+                "sha256:fbe82af9b94ccced752527c8de07fa20267f9634b48674ba478a0bb4000a0b1e"
44
+            ],
45
+            "version": "==3.5.1"
46
+        },
47
+        "docker-compose": {
48
+            "hashes": [
49
+                "sha256:1deb71e6efe265b419a24a5d5c9a13c6678c48de21acf1f2d374acfd173c572a",
50
+                "sha256:915cdd0ea7aff349d27a8e0585124ac38695635201770a35612837b25e234677"
51
+            ],
52
+            "index": "pypi",
53
+            "version": "==1.22.0"
54
+        },
55
+        "docker-pycreds": {
56
+            "hashes": [
57
+                "sha256:0a941b290764ea7286bd77f54c0ace43b86a8acd6eb9ead3de9840af52384079",
58
+                "sha256:8b0e956c8d206f832b06aa93a710ba2c3bcbacb5a314449c040b0b814355bbff"
59
+            ],
60
+            "version": "==0.3.0"
61
+        },
62
+        "dockerpty": {
63
+            "hashes": [
64
+                "sha256:69a9d69d573a0daa31bcd1c0774eeed5c15c295fe719c61aca550ed1393156ce"
65
+            ],
66
+            "version": "==0.4.1"
67
+        },
68
+        "docopt": {
69
+            "hashes": [
70
+                "sha256:49b3a825280bd66b3aa83585ef59c4a8c82f2c8a522dbe754a8bc8d08c85c491"
71
+            ],
72
+            "version": "==0.6.2"
73
+        },
74
+        "idna": {
75
+            "hashes": [
76
+                "sha256:2c6a5de3089009e3da7c5dde64a141dbc8551d5b7f6cf4ed7c2568d0cc520a8f",
77
+                "sha256:8c7309c718f94b3a625cb648ace320157ad16ff131ae0af362c9f21b80ef6ec4"
78
+            ],
79
+            "version": "==2.6"
80
+        },
81
+        "jsonschema": {
82
+            "hashes": [
83
+                "sha256:000e68abd33c972a5248544925a0cae7d1125f9bf6c58280d37546b946769a08",
84
+                "sha256:6ff5f3180870836cae40f06fa10419f557208175f13ad7bc26caa77beb1f6e02"
85
+            ],
86
+            "version": "==2.6.0"
87
+        },
88
+        "pyyaml": {
89
+            "hashes": [
90
+                "sha256:3d7da3009c0f3e783b2c873687652d83b1bbfd5c88e9813fb7e5b03c0dd3108b",
91
+                "sha256:3ef3092145e9b70e3ddd2c7ad59bdd0252a94dfe3949721633e41344de00a6bf",
92
+                "sha256:40c71b8e076d0550b2e6380bada1f1cd1017b882f7e16f09a65be98e017f211a",
93
+                "sha256:558dd60b890ba8fd982e05941927a3911dc409a63dcb8b634feaa0cda69330d3",
94
+                "sha256:a7c28b45d9f99102fa092bb213aa12e0aaf9a6a1f5e395d36166639c1f96c3a1",
95
+                "sha256:aa7dd4a6a427aed7df6fb7f08a580d68d9b118d90310374716ae90b710280af1",
96
+                "sha256:bc558586e6045763782014934bfaf39d48b8ae85a2713117d16c39864085c613",
97
+                "sha256:d46d7982b62e0729ad0175a9bc7e10a566fc07b224d2c79fafb5e032727eaa04",
98
+                "sha256:d5eef459e30b09f5a098b9cea68bebfeb268697f78d647bd255a085371ac7f3f",
99
+                "sha256:e01d3203230e1786cd91ccfdc8f8454c8069c91bee3962ad93b87a4b2860f537",
100
+                "sha256:e170a9e6fcfd19021dd29845af83bb79236068bf5fd4df3327c1be18182b2531"
101
+            ],
102
+            "version": "==3.13"
103
+        },
104
+        "requests": {
105
+            "hashes": [
106
+                "sha256:6a1b267aa90cac58ac3a765d067950e7dbbf75b1da07e895d1f594193a40a38b",
107
+                "sha256:9c443e7324ba5b85070c4a818ade28bfabedf16ea10206da1132edaa6dda237e"
108
+            ],
109
+            "version": "==2.18.4"
110
+        },
111
+        "six": {
112
+            "hashes": [
113
+                "sha256:70e8a77beed4562e7f14fe23a786b54f6296e34344c23bc42f07b15018ff98e9",
114
+                "sha256:832dc0e10feb1aa2c68dcc57dbb658f1c7e65b9b61af69048abc87a2db00a0eb"
115
+            ],
116
+            "version": "==1.11.0"
117
+        },
118
+        "texttable": {
119
+            "hashes": [
120
+                "sha256:119041773ff03596b56392532f9315cb3a3116e404fd6f36e76a7dc088d95c79"
121
+            ],
122
+            "version": "==0.9.1"
123
+        },
124
+        "urllib3": {
125
+            "hashes": [
126
+                "sha256:06330f386d6e4b195fbfc736b297f58c5a892e4440e54d294d7004e3a9bbea1b",
127
+                "sha256:cc44da8e1145637334317feebd728bd869a35285b93cbb4cca2577da7e62db4f"
128
+            ],
129
+            "version": "==1.22"
130
+        },
131
+        "websocket-client": {
132
+            "hashes": [
133
+                "sha256:c42b71b68f9ef151433d6dcc6a7cb98ac72d2ad1e3a74981ca22bc5d9134f166",
134
+                "sha256:f5889b1d0a994258cfcbc8f2dc3e457f6fc7b32a8d74873033d12e4eab4bdf63"
135
+            ],
136
+            "version": "==0.53.0"
137
+        }
138
+    },
139
+    "develop": {}
140
+}

+ 1
- 1
docker/scripts/docker-entrypoint.sh View File

@@ -1,4 +1,4 @@
1 1
 #!/bin/sh
2 2
 
3 3
 cd /opt/jacky-wtf || exit 10
4
-mix start
4
+mix phx.server

+ 2
- 5
docker/scripts/docker-prepare.sh View File

@@ -1,8 +1,5 @@
1 1
 #!/bin/sh
2 2
 
3
-echo " ---> [sys] checking network ..."
4
-ping -c 3 indieweb.org || exit 12
5
-
6 3
 echo " ---> [apk] Fetching baseline packages..."
7 4
 apk add --no-cache --verbose \
8 5
   bash \
@@ -14,7 +11,7 @@ apk add --no-cache --verbose \
14 11
   sqlite-libs \
15 12
   inotify-tools \
16 13
   gcc \
17
-  || exit 10
14
+  || exit 20
18 15
 
19 16
 echo " ---> [apk] Fetching development packages..."
20 17
 apk add --no-cache --virtual=build --verbose \
@@ -22,6 +19,6 @@ apk add --no-cache --virtual=build --verbose \
22 19
   binutils-dev \
23 20
   libelf-dev \
24 21
   sqlite-dev \
25
-  || exit 15
22
+  || exit 30
26 23
 
27 24
 mkdir -p /opt/jacky-wtf

+ 1
- 1
mix.exs View File

@@ -63,7 +63,7 @@ defmodule JackyWtf.Mixfile do
63 63
       {:credo, "~> 0.10.0", only: :dev},
64 64
       {:dialyxir, "~> 0.5.1", only: :dev, runtime: false},
65 65
       {:ecto, "~> 2.0"},
66
-      {:event_bus, ">= 1.4.1"},
66
+      {:event_bus, ">= 1.6.0"},
67 67
       {:ex_aws, "~> 2.0"},
68 68
       {:ex_aws_s3, "~> 2.0"},
69 69
       {:ex_doc, ">= 0.0.0", only: :dev},

+ 1
- 1
mix.lock View File

@@ -20,7 +20,7 @@
20 20
   "earmark": {:hex, :earmark, "1.2.6", "b6da42b3831458d3ecc57314dff3051b080b9b2be88c2e5aa41cd642a5b044ed", [:mix], [], "hexpm"},
21 21
   "ecto": {:hex, :ecto, "2.2.9", "031d55df9bb430cb118e6f3026a87408d9ce9638737bda3871e5d727a3594aae", [:mix], [{:db_connection, "~> 1.1", [hex: :db_connection, repo: "hexpm", optional: true]}, {:decimal, "~> 1.2", [hex: :decimal, repo: "hexpm", optional: false]}, {:mariaex, "~> 0.8.0", [hex: :mariaex, repo: "hexpm", optional: true]}, {:poison, "~> 2.2 or ~> 3.0", [hex: :poison, repo: "hexpm", optional: true]}, {:poolboy, "~> 1.5", [hex: :poolboy, repo: "hexpm", optional: false]}, {:postgrex, "~> 0.13.0", [hex: :postgrex, repo: "hexpm", optional: true]}, {:sbroker, "~> 1.0", [hex: :sbroker, repo: "hexpm", optional: true]}], "hexpm"},
22 22
   "esqlite": {:hex, :esqlite, "0.2.4", "3a8a352c190afe2d6b828b252a6fbff65b5cc1124647f38b15bdab3bf6fd4b3e", [:rebar3], [], "hexpm"},
23
-  "event_bus": {:hex, :event_bus, "1.5.2", "4ce17030ecaeda4f8ef3d473fe552b633ecb93cce2479024416a1b8fc9d5319f", [:mix], [], "hexpm"},
23
+  "event_bus": {:hex, :event_bus, "1.6.0", "00a26d524f061dd142c170afd2084698fcf2c57c434da180ba0b507728d83dd9", [:mix], [], "hexpm"},
24 24
   "ex_aws": {:hex, :ex_aws, "2.1.0", "b92651527d6c09c479f9013caa9c7331f19cba38a650590d82ebf2c6c16a1d8a", [:mix], [{:configparser_ex, "~> 2.0", [hex: :configparser_ex, repo: "hexpm", optional: true]}, {:hackney, "1.6.3 or 1.6.5 or 1.7.1 or 1.8.6 or ~> 1.9", [hex: :hackney, repo: "hexpm", optional: true]}, {:jsx, "~> 2.8", [hex: :jsx, repo: "hexpm", optional: true]}, {:poison, ">= 1.2.0", [hex: :poison, repo: "hexpm", optional: true]}, {:sweet_xml, "~> 0.6", [hex: :sweet_xml, repo: "hexpm", optional: true]}, {:xml_builder, "~> 0.1.0", [hex: :xml_builder, repo: "hexpm", optional: true]}], "hexpm"},
25 25
   "ex_aws_s3": {:hex, :ex_aws_s3, "2.0.1", "9e09366e77f25d3d88c5393824e613344631be8db0d1839faca49686e99b6704", [:mix], [{:ex_aws, "~> 2.0", [hex: :ex_aws, repo: "hexpm", optional: false]}, {:sweet_xml, ">= 0.0.0", [hex: :sweet_xml, repo: "hexpm", optional: true]}], "hexpm"},
26 26
   "ex_doc": {:hex, :ex_doc, "0.19.1", "519bb9c19526ca51d326c060cb1778d4a9056b190086a8c6c115828eaccea6cf", [:mix], [{:earmark, "~> 1.1", [hex: :earmark, repo: "hexpm", optional: false]}, {:makeup_elixir, "~> 0.7", [hex: :makeup_elixir, repo: "hexpm", optional: false]}], "hexpm"},

Loading…
Cancel
Save